This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486879 - Can't disconnect wlan0 when using both wlan0/eth0
Can't disconnect wlan0 when using both wlan0/eth0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 17:02 EST by Stefan Neufeind
Modified: 2009-03-01 18:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 10:06:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2009-02-22 17:02:05 EST
I was connected with wlan0, plugged in a connection at eth0 and then wanted to use NetworkManager (with knetworkmanager as "frontend") to "Deactive connection wlan0". But that didn't result in wlan0 staying disconnected but just made it reconfigure itself. Still both wlan0/eth0 were connected and it seems wlan0 was connected. No way (instead of maybe rfkill) to disconnect wlan0 to instead use eth0?
Comment 1 Dan Williams 2009-02-28 10:06:18 EST
You can also use the "Disable wireless" function of knetworkmanager, if it has one.  At least the GNOME applet has one; if knetworkmanager doesn't then that's probably a bug in knetworkmanager.

But, that said, there is no problem with both eth0 and wlan0 being active at the same time; the best interface available will be used.  NM is designed to keep interfaces active as they are available (ie, cable plugged in, AP in range, etc).  This provides very quick switching between connections when you unplug or replug the cable, for example.
Comment 2 Stefan Neufeind 2009-03-01 18:22:04 EST
I was a bit astonished to find NetworkManager (re)connecting right after I manually disconnected that selected network. Background might have been that the autoconnect-feature was turned on.

"Disable wireless" works, yes.

And about eth0/wlan0 being active at the same time: You are right that NM has default-routes over both interfaces with wlan0 having a bit higher metric. That's excellent, for the case you described. And according to the routing-table it correctly prefers the ethernet-connection. Only strange thing was that the kde-applet displays the wireless-status though the wired connection is the one used at that moment (misleading for me to believe that wlan0 was prefered). But on second thought it makes perfect sense to display wireless strength instead of a static wired-connection icon (with no more information-detail at all).

Thank you for pointing out those aspects.

Note You need to log in before you can comment on or make changes to this bug.